#include <bits/stdc++.h>

using namespace std;

int p,q,r;
long long L,R,i,br;

int main() {
    
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    cerr.tie(0);
    
    br=0;
    
    cin>>p>>q>>r>>L>>R;
    for(i=L;i<=R;i++)
    {
        if((ceil((double)i/p)+ceil((double)i/q)+ceil((double)i/r))<=i)
            br++;   
    }
    cout<<br;
    return 0;
}